Get posts using a sound
curl --request GET \
--url https://full-tiktok-api.p.rapidapi.com/api/v1/sounds/{soundId}/posts \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://full-tiktok-api.p.rapidapi.com/api/v1/sounds/{soundId}/posts"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://full-tiktok-api.p.rapidapi.com/api/v1/sounds/{soundId}/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2025-03-12T14:32:01.498Z",
"cached": false,
"version": "2025-01"
},
"data": [
{
"post_id": "7351234567890123456",
"caption": "do this for a week and see what happens #fitness",
"created_at": 1711929600,
"is_ad": false,
"plays": 42000000,
"likes": 3100000,
"comments": 18000,
"shares": 92000,
"saves": 410000,
"reposts": 5200,
"cover_url": "https://p16-sign.tiktokcdn-us.com/...",
"share_url": "https://www.tiktok.com/@charlidamelio/video/7351234567890123456",
"sound_id": "7016547803243022337",
"sound_title": "original sound",
"sound_author": "charlidamelio",
"sound_is_original": true,
"hashtags": [
{
"id": "229207",
"name": "fitness"
}
],
"author_username": "charlidamelio",
"author_display_name": "charli d'amelio",
"author_verified": true,
"author_avatar_url": "https://p16-sign.tiktokcdn-us.com/...",
"duration_seconds": 27,
"video_height": 1024,
"video_width": 576
}
],
"pagination": {
"cursor": "1778971238000",
"has_more": true
},
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found.",
"details": null
}
}{
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2025-03-12T14:32:01.498Z",
"cached": false,
"version": "2025-01"
},
"data": null,
"pagination": null,
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found.",
"details": null
}
}{
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2025-03-12T14:32:01.498Z",
"cached": false,
"version": "2025-01"
},
"data": null,
"pagination": null,
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found.",
"details": null
}
}Sounds
Get posts using a sound
Returns a paginated list of TikTok videos that use the specified sound. Use the returned cursor to fetch the next page.
GET
/
api
/
v1
/
sounds
/
{soundId}
/
posts
Get posts using a sound
Returns a paginated list of TikTok videos that use the specified sound. Use the returned cursor to fetch the next page.
Authorizations
Your RapidAPI subscription key. Injected automatically by the RapidAPI gateway in production.
Path Parameters
Numeric TikTok sound ID
Pattern:
^\d+$Query Parameters
Number of posts to return (1–50)
Required range:
1 <= x <= 50Pagination cursor from a previous response
Response
Success
⌘I